unit Chat_Public;

interface

uses ComObj, Variants, SysUtils;

type
        TChat_Base = class(TObject)

private
       BaseName      : string;           // 

       BasePath      : string;           //  

       BaseTabelName : string;           // 

       Connection    : Variant;          //ADO Connect

       RecordSet     : Variant;          //ADO RecordSet

       MaxPageSize   : Integer;          //- 

public                                   

        constructor Create;

        destructor Destroy; override;

        procedure Open;

        procedure Close;

        procedure Delete;

        procedure Update;

        procedure Push_Message (Message : string);  //  

published

        property Path : string read BasePath write BasePath;

        property Name : string read BaseName write BaseName;

        property BaseRecord : Variant read RecordSet write RecordSet;

        property PageSize : integer read MaxPageSize write MaxPageSize;

        property TabelName : string read BaseTabelName write BaseTabelName;

end;

implementation

constructor TChat_Base.Create;
begin

     Connection:=CreateOLEObject('ADODB.Connection');    // Connect

     RecordSet:=CreateOLEObject('ADODB.RecordSet');      // RecordSet

end;

destructor TChat_Base.Destroy;
begin

    Close;

end;

procedure TChat_Base.Open;
begin

    Connection.Open('Provider=Microsoft.Jet.OLEDB.4.0; Data Source=' + BasePath +

                          BaseName+'; Mode=Share Deny Read|Share Deny Write;');

    RecordSet.ActiveConnection:=Connection;

end;

procedure TChat_Base.Close;
begin

if not varisempty(Connection) then

begin

     Connection.Close;

     Connection:=Unassigned;

end;

end;

procedure TChat_Base.Delete;  //    
begin                         //    , 
                              //  
    RecordSet.Source := 'DELETE FROM ' + BaseTabelName + ' WHERE Message_Position>'
                                +inttostr(MaxPageSize);

    RecordSet.Open;

end;

procedure TChat_Base.Update;  //    
begin                         //    , 
                              //  
    RecordSet.Source :='UPDATE '+BaseTabelName+' SET Message_Position = Message_Position + 1';

    RecordSet.Open;

end;

procedure TChat_Base.Push_Message (Message : string); // 
begin

    RecordSet.Source := 'INSERT INTO '+ BaseTabelName + ' (Message_Position, Message) '+
                      'VALUES (1, ''' + Message + ''')';

    RecordSet.Open;

end;



end.
